> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Subscription Payment Method

> Get payment method associated with a subscription



## OpenAPI

````yaml openapi.json GET /subscriptions/{subscription-id}/payment-method
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /subscriptions/{subscription-id}/payment-method:
    get:
      summary: Get payment method associated with a subscription
      description: >-
        Returns the payment method currently linked to the subscription. The
        response shape depends on whether the payment method is a card or mobile
        money (MOMO).
      operationId: getSubscriptionPaymentMethod
      parameters:
        - name: subscription-id
          in: path
          required: true
          description: >-
            The unique identifier of the plan whose subscriptions are to be
            retrieved.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Payment method retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMethodResponse'
              examples:
                card:
                  summary: Card payment method
                  value:
                    type: card
                    firstSix: '506124'
                    lastFour: '5456'
                    cardType: verve
                    accountHolderName: Jane Doe
                    expirationMonth: 11
                    expirationYear: 2026
                momo:
                  summary: Mobile money payment method
                  value:
                    type: momo
                    operator: MTN
                    accountHolderName: Jane Doe
                    phoneNumber: '+2348012345678'
        '401':
          description: Missing or invalid authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Subscription not found, or no payment method is linked to it
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PaymentMethodResponse:
      oneOf:
        - $ref: '#/components/schemas/CardPaymentMethod'
        - $ref: '#/components/schemas/MomoPaymentMethod'
      discriminator:
        propertyName: type
        mapping:
          card:
            $ref: '#/components/schemas/CardPaymentMethod'
          momo:
            $ref: '#/components/schemas/MomoPaymentMethod'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
    CardPaymentMethod:
      type: object
      description: Card payment method details
      properties:
        type:
          type: string
          enum:
            - card
          description: Discriminator identifying this as a card payment method
        firstSix:
          type: string
          description: First six digits of the card (BIN)
          example: '506124'
        lastFour:
          type: string
          description: Last four digits of the card
          example: '5456'
        cardType:
          type: string
          description: Card scheme/brand
          example: verve
        accountHolderName:
          type: string
          description: Name of the account/card holder
          example: Jane Doe
        expirationMonth:
          type: integer
          minimum: 1
          maximum: 12
          example: 11
        expirationYear:
          type: integer
          example: 2026
      required:
        - type
        - firstSix
        - lastFour
        - cardType
        - expirationMonth
        - expirationYear
    MomoPaymentMethod:
      type: object
      description: Mobile money payment method details
      properties:
        type:
          type: string
          enum:
            - momo
          description: Discriminator identifying this as a mobile money payment method
        operator:
          type: string
          description: Mobile money operator/network
          example: MTN
        accountHolderName:
          type: string
          description: Name of the account holder
          example: Jane Doe
        phoneNumber:
          type: string
          description: Mobile money phone number
          example: '+2348012345678'
      required:
        - type
        - operator
        - phoneNumber
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````